package co.com.certicamara.modelos;

import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlAccessType;

@XmlAccessorType(XmlAccessType.FIELD)
public class UsuarioModelo {

	@XmlElement(name = "Description")
	private String descripcion;

	@XmlElement(name = "CName")
	private CNombreModelo cNombre;

	@XmlElement(name = "OName")
	private ONombreModelo oNombre;

	@XmlElement(name = "SName")
	private SNombreModelo sNombre;

	@XmlElement(name = "Language")
	private String lenguage;

	@XmlElement(name = "Certificates")
	private CertificadosModelo certificados;

	@XmlElement(name = "Contacts")
	private ContactoModelo contacto;

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public CNombreModelo getcNombre() {
		return cNombre;
	}

	public void setcNombre(CNombreModelo cNombre) {
		this.cNombre = cNombre;
	}

	public ONombreModelo getoNombre() {
		return oNombre;
	}

	public void setoNombre(ONombreModelo oNombre) {
		this.oNombre = oNombre;
	}

	public SNombreModelo getsNombre() {
		return sNombre;
	}

	public void setsNombre(SNombreModelo sNombre) {
		this.sNombre = sNombre;
	}

	public String getLenguage() {
		return lenguage;
	}

	public void setLenguage(String lenguage) {
		this.lenguage = lenguage;
	}

	public CertificadosModelo getCertificados() {
		return certificados;
	}

	public void setCertificados(CertificadosModelo certificados) {
		this.certificados = certificados;
	}

	public ContactoModelo getContacto() {
		return contacto;
	}

	public void setContacto(ContactoModelo contacto) {
		this.contacto = contacto;
	}

}
