package co.com.certicamara.modelos;

import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlAccessType;

@XmlAccessorType(XmlAccessType.FIELD)
public class CuerpoModelo {

	@XmlElement(name = "ReadResponse", namespace = "http://www.safelayer.com/TWS")
	private RespuestaLecturaModelo respuestaLecturaModelo;
	
	@XmlElement(name = "SearchResponse", namespace = "http://www.safelayer.com/TWS")
	private RespuestaBusqueda searchResponse;
	
	@XmlElement(name = "AuthNResponse", namespace = "http://www.safelayer.com/TWS")
	private RespuestaAutenticacion authNResponse;

	public RespuestaLecturaModelo getRespuestaLecturaModelo() {
		return respuestaLecturaModelo;
	}

	public void setRespuestaLecturaModelo(RespuestaLecturaModelo respuestaLecturaModelo) {
		this.respuestaLecturaModelo = respuestaLecturaModelo;
	}

	public RespuestaBusqueda getSearchResponse() {
		return searchResponse;
	}

	public void setSearchResponse(RespuestaBusqueda searchResponse) {
		this.searchResponse = searchResponse;
	}

	public RespuestaAutenticacion getAuthNResponse() {
		return authNResponse;
	}

	public void setAuthNResponse(RespuestaAutenticacion authNResponse) {
		this.authNResponse = authNResponse;
	}
	
	
	
}
